library ieee;

use ieee.std_logic_1164.all;

entity tbcompito1907 is
end tbcompito1907;

architecture tbb of tbcompito1907 is

component compito1907 is
	port (rst,clk,nw: in std_logic;
	din: in std_logic_vector(7 downto 0);
	ris: out std_logic_vector(7 downto 0);
	fine: out std_logic);
end component;

signal rst,clk,nw,fine: std_logic;
signal din, ris: std_logic_vector(7 downto 0);

begin
	d: compito1907 port map (rst,clk,nw,din,ris,fine);
	
	rst <= '1' after 0 ns, '0' after 10 ns;
	
	process
	begin
		clk <= '0';
		wait for 5 ns;
		clk <= '1';
		wait for 5 ns;
	end process;
	
	nw  <= '1' after 1 ns, '0' after 11 ns,
		   '1' after 61 ns, '0' after 71 ns;
	
	din <= "00000000" after 1 ns,	-- op
	        "00000110" after 11 ns,   -- d0
		    "00000000" after 21 ns,	  --d1
			"00000100" after 61 ns,	-- op
	        "00000111" after 71 ns,   -- d0
		    "00000010" after 81 ns;	  --d1
			
	end tbb;